package de.duehl.swing.ui.start.card;

import de.duehl.swing.ui.layout.card.Card;
import de.duehl.swing.ui.layout.card.CardsBase;
import de.duehl.swing.ui.start.card.input.InputCardGui;
import de.duehl.swing.ui.start.card.input.InputCardLogic;
import de.duehl.swing.ui.start.card.output.OutputCardGui;
import de.duehl.swing.ui.start.card.output.OutputCardLogic;
import de.duehl.swing.ui.start.card.work.WorkCardGui;
import de.duehl.swing.ui.start.card.work.WorkCardLogic;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public class Cards extends CardsBase {

    Cards() {
        addCard(new Card("Input", new InputCardGui(), new InputCardLogic()));
        addCard(new Card("Work", new WorkCardGui(), new WorkCardLogic()));
        addCard(new Card("Output", new OutputCardGui(), new OutputCardLogic()));
    }

}
